/**
 * Created by vian on 2017/3/17.
 */
var express = require("express");
var billsController = require("./../controllers/bills_lib_controllers");
var billsRouter =express.Router();

billsRouter.post('/getMaxNumber', billsController.getMaxNumber);
billsRouter.post('/getABillsLib', billsController.getABillsLib);
billsRouter.post("/getStdBillsLib", billsController.getStdBillsLib);
billsRouter.post("/createStdBillsLib", billsController.createStdBillsLib);
billsRouter.post("/deleteStdBillsLib", billsController.deleteStdBillsLib);
billsRouter.post("/renameStdBillsLib", billsController.renameStdBillsLib);
billsRouter.post("/getStdBillsLibName", billsController.getStdBillsLibName);
billsRouter.post("/getBills", billsController.getBills);
billsRouter.post("/createBills", billsController.createBills);
billsRouter.post("/updatePNId", billsController.updatePNId);
billsRouter.post("/updateBills", billsController.updateBills);
billsRouter.post("/updateBillsArr", billsController.updateBillsArr);
billsRouter.post("/pasteBills", billsController.pasteBills);
billsRouter.post('/updateRecharge', billsController.updateRecharge);
billsRouter.post("/deleteBills", billsController.deleteBills);
billsRouter.post("/getJobContent", billsController.getJobContent);
billsRouter.post("/createJobContent", billsController.createJobContent);
billsRouter.post("/updateJobContent", billsController.updateJobContent);
billsRouter.post("/deleteJobContent", billsController.deleteJobContent);
billsRouter.post("/getItemCharacter", billsController.getItemCharacter);
billsRouter.post("/createItemCharacter", billsController.createItemCharacter);
billsRouter.post("/updateItemCharacter", billsController.updateItemCharacter);
billsRouter.post("/updateValue", billsController.updateValue);
billsRouter.post("/deleteItemCharacter", billsController.deleteItemCharacter);

module.exports = billsRouter;